#  Compile with SunStudio
#
f95 -o matv -xopenmp=parallel -fpp mattvec.f90
#
#
#  Request 1 thread.
#
echo "Run with 1 thread."
export OMP_NUM_THREADS=1
./matv > mattvec.out
#
#  Request 2 threads.
#
echo "Run with 2 threads."
export OMP_NUM_THREADS=2
./matv >> mattvec.out
#
#  Request 4 threads.
#
echo "Run with 4 threads."
export OMP_NUM_THREADS=4
./matv >> mattvec.out
#
#  Request 4 threads.
#
echo "Run with 6 threads."
export OMP_NUM_THREADS=6
./matv >> mattvec.out
#
#  Request 8 threads.
#
echo "Run with 8 threads."
export OMP_NUM_THREADS=8
./matv >> mattvec.out
#
#  Request 10 threads.
#
echo "Run with 10 threads."
export OMP_NUM_THREADS=10
./matv >> mattvec.out
#
#  Request 12 threads.
#
echo "Run with 12 threads."
export OMP_NUM_THREADS=12
./matv >> mattvec.out
#
#  Request 14 threads.
#
echo "Run with 14 threads."
export OMP_NUM_THREADS=14
./matv >> mattvec.out
#
#  Request 4 threads.
#
echo "Run with 16 threads."
export OMP_NUM_THREADS=16
./matv >> mattvec.out
#
#  Discard the executable.
#
rm -rf matv
#
echo "Program output written to mattvec.out"
